Subject: Re: bug#11213: 24.0.95; (Maybe/Wish): Should color-themes be buffer local?

From: Chong Yidong <[email-masked]>
Date: Wed, 11 Apr 2012 14:58:10 +0800

Jambunathan K <[email-masked]> writes:

> ODT exporter uses htmlfontify.el to export source blocks with some
> fancy colors.[2] The implication is that an ODT file created out of an
> Org file (with src blocks) will look and feel differently based on
> individual user's font lock settings.  If there was/were a way to
> activate a theme on per-buffer basis, then I would like to use it
> within the ODT exporter.

Your description is not too clear, but I guess what you're trying to say
is that you want the htmlfontified output to use some standard set of
faces, independent of the user's face settings.  Probably the best way
to do that is to set up face remappings in the to-be-exported buffer.
See the Face Remapping node in the Lisp manual for details.